# Command: lookup

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    lookup -   Search for a key in each dictionay on the dictionary stack.

Synopsis:

    /name lookup -> obj true
      -> false

Description:

    lookup tries to find an association for /name in each dictionary
      on the dictionary stack, starting with the current (top) dictionary.
      If an association is found, lookup pushes the associated value on the
      stack followed by the boolean true.
      If no association is found, false is pushed.

SeeAlso:

- load
- def

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/sli/slicontrol.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative